Bug 6809 - High Color Icons not used in kdebase-1.1.2
High Color Icons not used in kdebase-1.1.2
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-11-07 20:37 EST by pduus
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-17 11:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pduus 1999-11-07 20:37:04 EST
One of my reasons for upgrading to 6.1 was to get kde-1.1.2.
I was excited cause I had seen elswhere that it had got new
high color icons. But when i had done my custom install
where i installed everything i found out that the icons in
kde still had the borring lowcolor. I later found out that
two versions of kdebase was installed and removed the
lowcolor one -but still no highcolor icons. I then forcibly
removed kdebase and installed it again -without any effect.
I then upgraded kdebase to 1.1.2-13 -but still without
effect... Is all this happening because I installed the
lowcolor package in the begining or is it like this on other
installs as well? I would relly like to see those highcolor
icons on my desktop!
Comment 1 Anonymous 1999-11-25 10:26:59 EST
I think that the problem is not in kde but in X server configuration.
You can check color depth using "KDE Control Center"->"Information"->"X-Server"
If screen depth is 8 (256 colors) - it is the issue.
Solution: become super user (login as root). Do init 3 (text mode runlevel)
Run Xconfigurator and choose screen depth of 16 (~65000 colors) 24 or 32.
Of course it is possible only if you graphic card have enought memory.

By the way to see wich icons uses KDE (default or lowcolor) just check the icon
directory by selecting some application icon.

I have the oposite problem: I have installed both lowcolor and default icons and
i use on local screen 16 depth X server and from remote NCD (Xterminal) i am
login using XDM. On Xterminal running server has depth of 8 planes and i like to
use lowcolor icons , but it seems to be impossible to use them, because default
(and only) directory points to usual (hi color) icons, not lowcolor ones. I
tryed to find some new option in KDE COntrol Center for choosing low color icons
- without any results.
Comment 2 Kenny Graunke 1999-12-07 22:45:59 EST
This seems to be a larger icon problem with Red Hat 6.1's KDE packages - large
icons don't work either. Menu items are low-color from within KDE, but in
Gnome's KDE submenu they are high-color. All kfm icons are low-color and small.
Three kpanel icons are large high-color, the other three are low-color and
Apparently it isn't X server configuration - I am using XF86_FBDev at 24bpp.
I don't think this is a KDE bug - it's Red Hat's packages. I used KDE's FHS2
compliant RPMS designed for Red Hat 5.2 earlier when I used 6.0, and they worked
Comment 3 Kenny Graunke 2000-01-16 15:51:59 EST
I think I may have found part of the problem. It seems the locolor icons are
included in both kdebase and kdebase-lowcolor-icons packages. So when you remove
the kdebase-lowcolor-icons, it did not remove the /usr/share/icons/locolor

If I rename the locolor directory - say:
cd /usr/share/icons
mv locolor foo-locolor

Then I get high color icons since the low color ones are not there any more.
Comment 4 Preston Brown 2000-01-17 11:48:59 EST
yes.  There was a packaging error.

Corrected for next release.

Note You need to log in before you can comment on or make changes to this bug.